#!/bin/bash

for DIST in fedora centos
do
	case "$DIST" in
	fedora)	DISTVERS="3 4";;
	centos)	DISTVERS="4";;
	esac

	for DISTVER in $DISTVERS
	do
		for REPO in buildsys stable vserver vserver-guest
		do
			sed 's!@DIST@!'$DIST'!;s!@DISTVER@!'$DISTVER'!;s!@REPO@!'$REPO'!' base-cfg > $DIST-$DISTVER-dhozac-$REPO.cfg
		done
	done
done
